package com.jasamedika.medifirst2000.vo;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

public class HasilPemeriksaanSwaPantauLimbahCairVO extends BaseTransactionVO {

	@Caption(value = "Tanggal")
	private Date tanggal;

	@Caption(value = "Inlet Meter Air Lalu")
	private Double inletMeterAirLalu;

	@Caption(value = "Inlet Meter Air Sekarang")
	private Double inletMeterAirSekarang;

	@Caption(value = "Inlet Debit")
	private Double inletDebit;

	@Caption(value = "Tutlet Meter Air Sekarang")
	private Double outletMeterAirSekarang;

	@Caption(value = "Tutlet Meter Air Lalu")
	private Double outletMeterAirLalu;

	@Caption(value = "Outlet Debit")
	private Double outletDebit;

	@Caption(value = "Keterangan")
	private String keterangan;

	private Set<HasilPemeriksaanSwaDetailVO> hasilPemeriksaanSwaDetailVO = new HashSet<HasilPemeriksaanSwaDetailVO>();

	public Date getTanggal() {
		return tanggal;
	}

	public void setTanggal(Date tanggal) {
		this.tanggal = tanggal;
	}

	public Double getInletMeterAirLalu() {
		return inletMeterAirLalu;
	}

	public void setInletMeterAirLalu(Double inletMeterAirLalu) {
		this.inletMeterAirLalu = inletMeterAirLalu;
	}

	public Double getInletMeterAirSekarang() {
		return inletMeterAirSekarang;
	}

	public void setInletMeterAirSekarang(Double inletMeterAirSekarang) {
		this.inletMeterAirSekarang = inletMeterAirSekarang;
	}

	public Double getInletDebit() {
		return inletDebit;
	}

	public void setInletDebit(Double inletDebit) {
		this.inletDebit = inletDebit;
	}

	public Double getOutletMeterAirSekarang() {
		return outletMeterAirSekarang;
	}

	public void setOutletMeterAirSekarang(Double outletMeterAirSekarang) {
		this.outletMeterAirSekarang = outletMeterAirSekarang;
	}

	public Double getOutletMeterAirLalu() {
		return outletMeterAirLalu;
	}

	public void setOutletMeterAirLalu(Double outletMeterAirLalu) {
		this.outletMeterAirLalu = outletMeterAirLalu;
	}

	public Double getOutletDebit() {
		return outletDebit;
	}

	public void setOutletDebit(Double outletDebit) {
		this.outletDebit = outletDebit;
	}

	public String getKeterangan() {
		return keterangan;
	}

	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}

	public Set<HasilPemeriksaanSwaDetailVO> getHasilPemeriksaanSwaDetailVO() {
		return hasilPemeriksaanSwaDetailVO;
	}

	public void setHasilPemeriksaanSwaDetailVO(Set<HasilPemeriksaanSwaDetailVO> hasilPemeriksaanSwaDetailVO) {
		this.hasilPemeriksaanSwaDetailVO = hasilPemeriksaanSwaDetailVO;
	}

}
